import * as i0 from "@angular/core";
export declare class BaseDirective {
    e2eAttr: any;
    styleClass: string;
    get euiPrimary(): boolean;
    set euiPrimary(value: boolean);
    _euiPrimary: boolean;
    get euiSecondary(): boolean;
    set euiSecondary(value: boolean);
    _euiSecondary: boolean;
    get euiInfo(): boolean;
    set euiInfo(value: boolean);
    _euiInfo: boolean;
    get euiSuccess(): boolean;
    set euiSuccess(value: boolean);
    _euiSuccess: boolean;
    get euiWarning(): boolean;
    set euiWarning(value: boolean);
    _euiWarning: boolean;
    get euiDanger(): boolean;
    set euiDanger(value: boolean);
    _euiDanger: boolean;
    get euiAccent(): boolean;
    set euiAccent(value: boolean);
    _euiAccent: boolean;
    get color(): string;
    set color(value: string);
    _color: string;
    get euiSize2XS(): boolean;
    set euiSize2XS(value: boolean);
    _euiSize2XS: boolean;
    get euiSizeXS(): boolean;
    set euiSizeXS(value: boolean);
    _euiSizeXS: boolean;
    get euiSizeS(): boolean;
    set euiSizeS(value: boolean);
    _euiSizeS: boolean;
    get euiSizeM(): boolean;
    set euiSizeM(value: boolean);
    _euiSizeM: boolean;
    get euiSizeL(): boolean;
    set euiSizeL(value: boolean);
    _euiSizeL: boolean;
    get euiSizeXL(): boolean;
    set euiSizeXL(value: boolean);
    _euiSizeXL: boolean;
    get euiSize2XL(): boolean;
    set euiSize2XL(value: boolean);
    _euiSize2XL: boolean;
    get euiSize3XL(): boolean;
    set euiSize3XL(value: boolean);
    _euiSize3XL: boolean;
    get euiSize4XL(): boolean;
    set euiSize4XL(value: boolean);
    _euiSize4XL: boolean;
    get euiSize5XL(): boolean;
    set euiSize5XL(value: boolean);
    _euiSize5XL: boolean;
    get euiRounded(): boolean;
    set euiRounded(value: boolean);
    _euiRounded: boolean;
    get euiOutline(): boolean;
    set euiOutline(value: boolean);
    _euiOutline: boolean;
    get euiCompact(): boolean;
    set euiCompact(value: boolean);
    _euiCompact: boolean;
    get euiDisabled(): boolean;
    set euiDisabled(value: boolean);
    _euiDisabled: boolean;
    get euiResponsive(): boolean;
    set euiResponsive(value: boolean);
    _euiResponsive: boolean;
    get euiHighlighted(): boolean;
    set euiHighlighted(value: boolean);
    _euiHighlighted: boolean;
    getCssClasses(rootClass: string): string;
    static ɵfac: i0.ɵɵFactoryDef<BaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<BaseDirective, "[euiBase]", never, { "e2eAttr": "e2eAttr"; "styleClass": "styleClass"; "euiPrimary": "euiPrimary"; "euiSecondary": "euiSecondary"; "euiInfo": "euiInfo"; "euiSuccess": "euiSuccess"; "euiWarning": "euiWarning"; "euiDanger": "euiDanger"; "euiAccent": "euiAccent"; "color": "color"; "euiSize2XS": "euiSize2XS"; "euiSizeXS": "euiSizeXS"; "euiSizeS": "euiSizeS"; "euiSizeM": "euiSizeM"; "euiSizeL": "euiSizeL"; "euiSizeXL": "euiSizeXL"; "euiSize2XL": "euiSize2XL"; "euiSize3XL": "euiSize3XL"; "euiSize4XL": "euiSize4XL"; "euiSize5XL": "euiSize5XL"; "euiRounded": "euiRounded"; "euiOutline": "euiOutline"; "euiCompact": "euiCompact"; "euiDisabled": "euiDisabled"; "euiResponsive": "euiResponsive"; "euiHighlighted": "euiHighlighted"; }, {}, never>;
}
